Get Room
Gets one Room, who can open it and what it points at. Does not change it.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
room_id*string
Stable Room ID.
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/rooms/string" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "room": { "room_id": "string", "business_id": "string", "title": "string", "purpose": "string", "status": "active", "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view", "general_access": "business", "general_access_level": "view", "attachments": [ { "attachment_id": "string", "type": "business", "id": "string", "label": "string", "attached_at": "2019-08-24T14:15:22Z" } ], "parent": { "room_id": "string", "title": "string" }, "sub_room_count": 0 }, "request_id": "string"}